This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 212701 - yum fails to work after upgrade from fc5 to fc6
yum fails to work after upgrade from fc5 to fc6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 02:51 EDT by Michael Rice
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Rice 2006-10-28 02:51:09 EDT
Description of problem:
After doing an "upgrade" from fc5 -> fc6 via the dvd I logged in and tried to
yum update and it failed badly.


Version-Release number of selected component (if applicable):

rpm -q yum
yum-3.0-6


How reproducible:
every time I try to use yum I get the error

Steps to Reproduce:
1. type yum update
2. yum install <insert package you wish to install>
3. yum <anything>
  
Actual results:

 File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 359, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 150, in doCommand
    return base.updatePkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 628, in updatePkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 102, in doRepoSetup
    yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 306, in doRepoSetup
    self.plugins.run('postreposetup')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/fastestmirror.py", line 77, in postreposetup_hook
    repo.set('urls', repomirrors[str(repo)])
AttributeError: 'YumRepository' object has no attribute 'set'



Expected results:
Id like it to work :)

Additional info:
Im on irc as errr if you have any reason to have a live chat about this with me.
Comment 1 Michael Rice 2006-10-28 11:08:08 EDT
OK I have the problem fixed.

rpm -e yum                                                               [1]
error: Failed dependencies:
        yum >= 2.4.1 is needed by (installed) yum-fastestmirror-0.6-3.fc5.noarch
        yum >= 2.5.1 is needed by (installed) yum-utils-0.6-3.fc5.noarch
        yum >= 2.3 is needed by (installed) repoview-0.5.2-1.fc5.noarch
        yum >= 2.2.1 is needed by (installed) mock-0.6.5-1.fc5.i386
        yum >= 2.9.5 is needed by (installed) pirut-1.2.5-1.noarch
rpm -Uvh yum-3.0-6.noarch.rpm                                             [1]
Preparing...                ########################################### [100%]
        package yum-3.0-6 is already installed
rpm -e pirut                                                              [1]
rpm -e mock
warning: /etc/mock/fedora-devel-i386-core.cfg saved as /etc/mock/fedora-devel-i3
                                            86-core.cfg.rpmsave
warning: /etc/mock/fedora-5-i386-core.cfg saved as /etc/mock/fedora-5-i386-core.
                                            cfg.rpmsave
rpm -e repoview
rpm -e yum-utils
rpm -e yum-fastestmirror
rpm -ev yum
rpm -q yum
package yum is not installed
rpm -ivh yum-3.0-6.noarch.rpm                                                  
                                       [1]
Preparing...                ########################################### [100%]
   1:yum                    ########################################### [100%]
yum update


And now it works like a champ. No idea why it took this to get it working
Comment 2 Jeremy Katz 2006-10-30 11:56:11 EST
You need to update the plugins in addition to yum itself; there have been major
API overhauls internally to yum.
Comment 3 Michael Rice 2006-10-30 14:09:23 EST
So if this isnt a bug with yum where is the bug, surely you must agree that
there is some kind of bug if this no longer works after you do an upgrade from
fc5 to fc6. Something has failed to update the packages that need updating. How
about this gets moved to the right place instead of closed?

Note You need to log in before you can comment on or make changes to this bug.